#
# strscan.rb
#
#   Copyright (c) 2000,2001 Minero Aoki <aamine@loveruby.net>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU General Public License version 2 or later.
#

unless defined? ScanError then
  class ScanError < StandardError; end
end

require 'rscan.rb'
begin
  require 'cscan.so'
  StringScanner = StringScanner_C
rescue LoadError
  StringScanner = StringScanner_R
end
